Skip to main content
GET
The people at a vendor, with the first to ring and the one to escalate to.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
vendor_id
string
name
string
role
string
email
string
phone
string
is_primary
string
is_escalation_contact
string
is_active
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

email
string<public.citext>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_escalation_contact
boolean<boolean>
is_primary
boolean<boolean>
name
string<character varying>
Maximum string length: 200
phone
string<character varying>
Maximum string length: 40
role
string<character varying>
Maximum string length: 120
vendor_id
string<uuid>

Note: This is a Foreign Key to vendor_directory.vendor_id.